ReadySetGoGraph Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ReadySetGoGraph Class Reference

the main class to read the graphic part of a ReadySetGo 1-6 file More...

`#include <ReadySetGoGraph.hxx>`

## Public Member Functions
| ReadySetGoGraph (ReadySetGoParser &parser)
| constructor
virtual | ~ReadySetGoGraph ()
| destructor

## Protected Member Functions
int | version () const
| returns the file version
bool | readShapes ()
| try to read a list of shape
bool | readShapesInObject ()
| try to read a list of shape corresponding to an object glossary: need in v6
bool | updateTextBoxLinks ()
| try to update the textboxes link: v3
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList) const
| update the page span list
bool | sendMasterPages ()
| try to send the master pages
bool | sendPages ()
| try to send each main pages
bool | send (ReadySetGoGraphInternal::Layout const &layout)
| try to send the shapes of a layout
bool | send (ReadySetGoGraphInternal::Shape const &shape)
| try to send a shape
bool | sendText (ReadySetGoGraphInternal::Shape const &shape)
| try to send the text corresponding to a shape
bool | readLayoutsList (int numLayouts, bool master=false)
| try to read the layout list: v3
bool | readShapeV1 ()
| try to read a shape: v1
bool | readShapeV2 (ReadySetGoGraphInternal::Layout &layout)
| try to read a shape: v2
bool | readShapeV3 (ReadySetGoGraphInternal::Layout &layout, bool &last)
| try to read a shape: v3
bool | readShapeV6 (ReadySetGoGraphInternal::Layout &layout, bool &last)
| try to read a shape: v6
bool | readShapeDSV2 (ReadySetGoGraphInternal::Layout &layout, bool &last)
| try to read a shape: design studio v2

## Protected Attributes
std::shared_ptr< ReadySetGoGraphInternal::State > | m_state
| the state
ReadySetGoParser & | m_parser
| the main parser;
std::shared_ptr< ReadySetGoStyleManager > | m_styleManager
| the style manager

## Private Member Functions
| ReadySetGoGraph (ReadySetGoGraph const &orig)=delete
ReadySetGoGraph & | operator= (ReadySetGoGraph const &orig)=delete

## Friends
class | ReadySetGoParser
class | ReadySetGoGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a ReadySetGo 1-6 file

## Constructor & Destructor Documentation

## ◆ ReadySetGoGraph() [1/2]

ReadySetGoGraph::ReadySetGoGraph | ( | ReadySetGoParser & | parser | ) |
| explicit

constructor

## ◆ ~ReadySetGoGraph()

ReadySetGoGraph::~ReadySetGoGraph | ( |  | ) |
| virtual

destructor

## ◆ ReadySetGoGraph() [2/2]

ReadySetGoGraph::ReadySetGoGraph | ( | ReadySetGoGraph const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

ReadySetGoGraph & ReadySetGoGraph::operator= | ( | ReadySetGoGraph const & | orig | ) |
| privatedelete

## ◆ readLayoutsList()

bool ReadySetGoGraph::readLayoutsList | ( | int | numLayouts,
|  | bool | master = `false`
| ) |  |
| protected

try to read the layout list: v3

## ◆ readShapeDSV2()

bool ReadySetGoGraph::readShapeDSV2 | ( | ReadySetGoGraphInternal::Layout & | layout,
|  | bool & | last
| ) |  |
| protected

try to read a shape: design studio v2

Referenced by readShapes(), and readShapesInObject().

## ◆ readShapes()

bool ReadySetGoGraph::readShapes | ( |  | ) |
| protected

try to read a list of shape

## ◆ readShapesInObject()

bool ReadySetGoGraph::readShapesInObject | ( |  | ) |
| protected

try to read a list of shape corresponding to an object glossary: need in v6

## ◆ readShapeV1()

bool ReadySetGoGraph::readShapeV1 | ( |  | ) |
| protected

try to read a shape: v1

Referenced by readShapes().

## ◆ readShapeV2()

bool ReadySetGoGraph::readShapeV2 | ( | ReadySetGoGraphInternal::Layout & | layout | ) |
| protected

try to read a shape: v2

Referenced by readShapes().

## ◆ readShapeV3()

bool ReadySetGoGraph::readShapeV3 | ( | ReadySetGoGraphInternal::Layout & | layout,
|  | bool & | last
| ) |  |
| protected

try to read a shape: v3

Referenced by readShapes().

## ◆ readShapeV6()

bool ReadySetGoGraph::readShapeV6 | ( | ReadySetGoGraphInternal::Layout & | layout,
|  | bool & | last
| ) |  |
| protected

try to read a shape: v6

Referenced by readShapes(), and readShapesInObject().

## ◆ send() [1/2]

bool ReadySetGoGraph::send | ( | ReadySetGoGraphInternal::Layout const & | layout | ) |
| protected

try to send the shapes of a layout

Referenced by send(), sendMasterPages(), and sendPages().

## ◆ send() [2/2]

bool ReadySetGoGraph::send | ( | ReadySetGoGraphInternal::Shape const & | shape | ) |
| protected

try to send a shape

## ◆ sendMasterPages()

bool ReadySetGoGraph::sendMasterPages | ( |  | ) |
| protected

try to send the master pages

## ◆ sendPages()

bool ReadySetGoGraph::sendPages | ( |  | ) |
| protected

try to send each main pages

## ◆ sendText()

bool ReadySetGoGraph::sendText | ( | ReadySetGoGraphInternal::Shape const & | shape | ) |
| protected

try to send the text corresponding to a shape

Referenced by ReadySetGoGraphInternal::SubDocument::parse().

## ◆ updatePageSpanList()

void ReadySetGoGraph::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) | const
| protected

update the page span list

## ◆ updateTextBoxLinks()

bool ReadySetGoGraph::updateTextBoxLinks | ( |  | ) |
| protected

try to update the textboxes link: v3

Referenced by readShapes().

## ◆ version()

int ReadySetGoGraph::version | ( |  | ) | const
| protected

returns the file version

Referenced by readLayoutsList(), readShapeDSV2(), readShapes(), readShapesInObject(), readShapeV3(), readShapeV6(), sendMasterPages(), sendPages(), sendText(), updatePageSpanList(), and updateTextBoxLinks().

## Friends And Related Function Documentation

## ◆ ReadySetGoGraphInternal::SubDocument

friend class ReadySetGoGraphInternal::SubDocument
| friend

## ◆ ReadySetGoParser

friend class ReadySetGoParser
| friend

## Member Data Documentation

## ◆ m_parser

ReadySetGoParser& ReadySetGoGraph::m_parser
| protected

the main parser;

Referenced by readLayoutsList(), readShapeDSV2(), readShapes(), readShapesInObject(), readShapeV1(), readShapeV2(), readShapeV3(), readShapeV6(), send(), sendMasterPages(), sendPages(), sendText(), updatePageSpanList(), and version().

## ◆ m_state

std::shared_ptr<ReadySetGoGraphInternal::State> ReadySetGoGraph::m_state
| protected

the state

Referenced by readLayoutsList(), readShapes(), readShapeV1(), sendMasterPages(), sendPages(), updatePageSpanList(), updateTextBoxLinks(), and version().

## ◆ m_styleManager

std::shared_ptr<ReadySetGoStyleManager> ReadySetGoGraph::m_styleManager
| protected

the style manager

Referenced by readShapeDSV2(), readShapeV1(), readShapeV2(), readShapeV3(), readShapeV6(), and sendText().

The documentation for this class was generated from the following files:

- ReadySetGoGraph.hxx
- ReadySetGoGraph.cxx